# Interface KeySystemConfig

interface KeySystemConfig {
audioRobustness?: string;
distinctiveIdentifier?: MediaKeysRequirement;
getContentId?: ((contentId) => string);
licenseServerUri: string;
licenseServerUriMap?: Record<string, string>;
persistentState?: MediaKeysRequirement;
serverCertificate?: Uint8Array;
serverCertificateUri?: string;
sessionType?: MediaKeySessionType;
videoRobustness?: string;
}

#####
Index

### Properties

audioRobustness?
distinctiveIdentifier?
getContentId?
licenseServerUri
licenseServerUriMap?
persistentState?
serverCertificate?
serverCertificateUri?
sessionType?
videoRobustness?

## Properties

### `Optional` audioRobustness

audioRobustness?: string

### `Optional` distinctiveIdentifier

distinctiveIdentifier?: MediaKeysRequirement

### `Optional` getContentId

getContentId?: ((contentId) => string)

#### Type declaration

- - (contentId): string

  - #### Parameters

    - contentId: string

    #### Returns string

### licenseServerUri

licenseServerUri: string

### `Optional` licenseServerUriMap

licenseServerUriMap?: Record<string, string>

### `Optional` persistentState

persistentState?: MediaKeysRequirement

### `Optional` serverCertificate

serverCertificate?: Uint8Array

### `Optional` serverCertificateUri

serverCertificateUri?: string

### `Optional` sessionType

sessionType?: MediaKeySessionType

### `Optional` videoRobustness

videoRobustness?: string